import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';
import { B as BEM } from './bem.js';

const NavbarMenuStart = /*@__PURE__*/ proxyCustomElement(class NavbarMenuStart extends HTMLElement {
    constructor(registerHost) {
        super();
        if (registerHost !== false) {
            this.__registerHost();
        }
        /**
         * @internal
         * Defines the type of navbar. App is used for almost every web applications
         * like the portal app. For our sales funnel we recommend to use the simple navbar.
         * Meta and main are used for the website.
         */
        this.interface = 'app';
    }
    render() {
        const menuStartEl = BEM.block('navbar').element('menu').element('start');
        return (h(Host, { key: 'b53e1c198366eeca89e5d71bf52af297902307a8', class: Object.assign(Object.assign({}, menuStartEl.class()), menuStartEl.modifier(`context-${this.interface}`).class()) }, h("slot", { key: '3e123a521d151135d72001d1b3ac703d236a4c8f' })));
    }
}, [260, "bal-navbar-menu-start", {
        "interface": [1]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["bal-navbar-menu-start"];
    components.forEach(tagName => { switch (tagName) {
        case "bal-navbar-menu-start":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, NavbarMenuStart);
            }
            break;
    } });
}

const BalNavbarMenuStart = NavbarMenuStart;
const defineCustomElement = defineCustomElement$1;

export { BalNavbarMenuStart, defineCustomElement };
